# Store

&#x20;This contract has price information that reflects the amount and time weight of the tokens held by the LP. The priceACumulativeLast and priceBCumulativeLast you have are TWCP (Time-Weighted Cumulative Price), which is time weighted price information. The quantity and price information of this contract will be used in Price Oracle.

## Address

* Cypress : [0x1289550d988177575154c2CA45c95CCfb32F837d](https://scope.klaytn.com/account/0x1289550d988177575154c2CA45c95CCfb32F837d?tabId=txList)

## Read-Only Functions

{% tabs %}
{% tab title="Events" %}

## Events

**Sync**

```solidity
event Sync(address pool, uint112 reserveA, uint112 reserveB);
```

* Emitted each time reserves are updated.
* Parameters
  * pool :  Pool contract address of target pool
  * reserveA : TokenA liquidity amount
  * reserveB : TokenB liquidity amount
    {% endtab %}

{% tab title="Read-Only Functions" %}

## Read-Only Functions

reserveA

```solidity
function reserveA(address pool) public view returns (uint112 _reserveA)
```

* Amount of TokenA held by LP

reserveB

```solidity
function reserveB(address pool) public view returns (uint112 _reserveB)
```

* Amount of TokenB held by LP

priceACumulativeLast

```solidity
function priceACumulativeLast(address pool) public view returns (uint112 _priceA)
```

* Time-Weighted Cumulative Price of TokenA held by LP

priceBCumulativeLast

```solidity
function priceBCumulativeLast(address pool) public view returns (uint112 _priceB)
```

* Time-Weighted Cumulative Price of TokenB held by LP

getReserves

```solidity
function getReserves(address pool) public view returns (uint112 _reserveA, uint112 _reserveB, uint32 _blockTimestampLast)
```

* Amount of held by LP and TWCP information
* Parameter
  * `_reserveA` : Amount of tokenA held by LP
  * `_reserveB` : Amount of tokenB held by LP
  * `_blockTimestampLast` : BlockTime at which LP was last calculated
    {% endtab %}
    {% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-new.klayswap.com/book-en/developers/contract/store.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
